WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Public Member Functions | List of all members
winstd::data_blob Class Reference
Cryptography API

DATA_BLOB wrapper class. More...

`#include <WinStd/Crypt.h>`

Inheritance diagram for winstd::data_blob:

## Public Member Functions
| data_blob () noexcept
| Initializes an empty BLOB.
| data_blob (BYTE *data, DWORD size) noexcept
| Initializes a BLOB from existing data.
| data_blob (const DATA_BLOB &other)
| Duplicate an existing BLOB.
| data_blob (data_blob &&other) noexcept
| Move an existing BLOB.
virtual | ~data_blob ()
| Destroys the BLOB.
data_blob & | operator= (const DATA_BLOB &other)
| Copy an existing BLOB.
data_blob & | operator= (data_blob &&other) noexcept
| Move an existing BLOB.
DWORD | size () const noexcept
| Get BLOB size.
const BYTE * | data () const noexcept
| Get BLOB buffer.
BYTE * | data () noexcept
| Get BLOB buffer.

## Detailed Description

DATA_BLOB wrapper class.

The documentation for this class was generated from the following file:

- include/WinStd/Crypt.h